gnutls_x509_crt_get_inhibit_anypolicy(3)

NAME
gnutls_x509_crt_get_inhibit_anypolicy - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_inhibit_anypolicy(gnutls_x509_crt_t cert, unsigned int * skipcerts, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

unsigned int * skipcerts
    will hold the number of certificates after which anypolicy is no longer acceptable.

unsigned int * critical
    will be non-zero if the extension is marked as critical

DESCRIPTION
This function will return certificate's value of the SkipCerts, i.e., the Inhibit anyPolicy X.509 extension (2.5.29.54).

The returned value is the number of additional certificates that may appear in the path before the anyPolicy is no longer acceptable.

RETURNS
zero on success, or a negative error code in case of parsing error. If the certificate does not contain the Inhibit anyPolicy extension GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/